> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> List tasks

### Path parameters

<ParamField path="id" type="string" required>
  Work order ID
</ParamField>

### Responses

<ResponseField name="200" type="WorkOrderTaskListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/work-orders/{id}/tasks' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "tasks": [
      {
        "actual_hours": null,
        "estimated_hours": null,
        "id": "string",
        "notes": null,
        "sequence": 1,
        "status": "string",
        "task_name": "string",
        "work_order_id": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
